如何在VxWorks 5.5和6.x之间设置兼容的代码环境?

时间:2008-12-10 12:52:28

标签: vxworks

我们有一个现有的VxWorks 5.5项目,并希望将其移植到VxWorks 6.6 VxWorks 6.x有许多新功能(MMU,RTP等等),我们现在不想使用它,因为它会使移植工作复杂化。

我们如何指定我们想要一个5.5兼容的环境?

1 个答案:

答案 0 :(得分:0)

创建VxWorks项目时,可以指定PROFILE_COMPATIBLE,从而创建5.5兼容环境。

在工作台中,这是在新项目创建对话框中完成的。这是标题为“配置文件”的第3或第4个对话框屏幕

使用vxprj从命令行创建项目时,只需添加“-profile PROFILE_COMPATIBLE”参数。

豫ICP备18024241号-1